# eric7.Plugins.VcsPlugins.vcsGit.GitReflogBrowserDialog

Module implementing a dialog to browse the reflog history.

### Global Attributes

None

### Classes

GitReflogBrowserDialog | Class implementing a dialog to browse the reflog history.

### Functions

None

## GitReflogBrowserDialog

Class implementing a dialog to browse the reflog history.

### Derived from

QWidget, Ui_GitReflogBrowserDialog

### Class Attributes

CommitIdColumn
NameColumn
OperationColumn
SelectorColumn
SubjectColumn

### Class Methods

None

### Methods

GitReflogBrowserDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateReflogItem | Private method to generate a reflog tree entry.
__getReflogEntries | Private method to retrieve reflog entries from the repository.
__initData | Private method to (re-)initialize some data.
__procFinished | Private slot connected to the finished signal.
__processBuffer | Private method to process the buffered output of the git log command.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
__resetUI | Private method to reset the user interface.
__resizeColumnsLog | Private method to resize the log tree columns.
__showError | Private slot to show some error.
closeEvent | Protected slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_nextButton_clicked | Private slot to handle the Next button.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_refreshButton_clicked | Private slot to refresh the log.
on_sendButton_clicked | Private slot to send the input to the git process.
show | Public slot to show the dialog.
start | Public slot to start the git log command.

### Static Methods

None

#### GitReflogBrowserDialog (Constructor)

GitReflogBrowserDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  reference to the parent widget (QWidget)

#### GitReflogBrowserDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### GitReflogBrowserDialog.__generateReflogItem

__generateReflogItem(commitId, selector, name, subject)

Private method to generate a reflog tree entry.

commitId
  commit id info (string)
selector
  selector info (string)
name
  name info (string)
subject
  subject of the reflog entry (string)

Return:
  reference to the generated item (QTreeWidgetItem)

#### GitReflogBrowserDialog.__getReflogEntries

__getReflogEntries(skip=0)

Private method to retrieve reflog entries from the repository.

skip
  number of reflog entries to skip (integer)

#### GitReflogBrowserDialog.__initData

__initData()

Private method to (re-)initialize some data.

#### GitReflogBrowserDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### GitReflogBrowserDialog.__processBuffer

__processBuffer()

Private method to process the buffered output of the git log command.

#### GitReflogBrowserDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### GitReflogBrowserDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process and inserts it into a buffer.

#### GitReflogBrowserDialog.__resetUI

__resetUI()

Private method to reset the user interface.

#### GitReflogBrowserDialog.__resizeColumnsLog

__resizeColumnsLog()

Private method to resize the log tree columns.

#### GitReflogBrowserDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### GitReflogBrowserDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### GitReflogBrowserDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### GitReflogBrowserDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### GitReflogBrowserDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### GitReflogBrowserDialog.on_nextButton_clicked

on_nextButton_clicked()

Private slot to handle the Next button.

#### GitReflogBrowserDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### GitReflogBrowserDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the log.

#### GitReflogBrowserDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the git process.

#### GitReflogBrowserDialog.show

show()

Public slot to show the dialog.

#### GitReflogBrowserDialog.start

start(projectdir)

Public slot to start the git log command.

projectdir
  directory name of the project (string)

Up